[问题]无法编译任何程序,求助

为当前最终发行版之前的所有版本提供支持
回复
firef
帖子: 20
注册时间: 2007-07-22 1:05
送出感谢: 0
接收感谢: 0

[问题]无法编译任何程序,求助

#1

帖子 firef » 2007-09-20 9:50

在源代码目录下用./configure之后出现

代码: 全选

checking how to run the C preprocessor... /lib/cpp 
configure: error: C preprocessor "/lib/cpp" fails sanity check 
See `config.log' for more details.  
所有的程序都无法编译。下载了个fluxbox无法安装,烦呐。

怀疑是cpp,gcc,g++什么的出了问题,但是重装它们都没用。
头像
蓝蓝
帖子: 953
注册时间: 2007-06-09 9:19
来自: 上海
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 蓝蓝 » 2007-09-20 16:09

我猜是缺了啥的
太阳好毒…….
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

Re: [问题]无法编译任何程序,求助

#3

帖子 zhan » 2007-09-20 17:18

firef 写了:在源代码目录下用./configure之后出现

代码: 全选

checking how to run the C preprocessor... /lib/cpp 
configure: error: C preprocessor "/lib/cpp" fails sanity check 
See `config.log' for more details.  
所有的程序都无法编译。下载了个fluxbox无法安装,烦呐。

怀疑是cpp,gcc,g++什么的出了问题,但是重装它们都没用。
首先, fluxbox 源里面有,只要用你喜欢的方式(新利得或 apt-get) 安装就是了,不需要自己编译。
其次,关于编译环境的问题,版面上有非常多的讨论了,可以搜索一下看看。比如安装 build-essential 这些之类的,当然具体的情况要具体处理。
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
回复

回到 “老旧版本支持”